Bug 992 - Winbindd crashes into parse_domain_user function
Winbindd crashes into parse_domain_user function
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.1
All Linux
: P3 critical
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-19 23:27 UTC by Denis JULIEN
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis JULIEN 2004-01-19 23:27:29 UTC
Here is after tail of log.winbindd
 
[2004/01/20 07:56:21, 0] lib/util.c:smb_panic(1408)
  BACKTRACE: 19 stack frames:
   #0 /usr/local/samba/sbin/winbindd(smb_panic+0x181) [0x80b1c09]
   #1 /usr/local/samba/sbin/winbindd [0x80a2862]
   #2 /usr/local/samba/sbin/winbindd [0x80a28ac]
   #3 /usr/local/samba/sbin/winbindd [0x42028c48]
   #4 /usr/local/samba/sbin/winbindd [0x42073ab7]
   #5 /usr/local/samba/sbin/winbindd(malloc+0x95) [0x42073155]
   #6 /usr/local/samba/sbin/winbindd(Realloc+0x7a) [0x80b11fa]
   #7 /usr/local/samba/sbin/winbindd(convert_string_allocate+0x15a) [0x80a0ac6]
   #8 /usr/local/samba/sbin/winbindd(push_ucs2_allocate+0x30) [0x80a13d2]
   #9 /usr/local/samba/sbin/winbindd(unix_strupper+0x19) [0x80a0e5f]
   #10 /usr/local/samba/sbin/winbindd(strupper_m+0x5c) [0x80abf6e]
   #11 /usr/local/samba/sbin/winbindd(parse_domain_user+0xbc) [0x8072c9c]
   #12 /usr/local/samba/sbin/winbindd(winbindd_pam_auth+0x118) [0x8076a40]
   #13 /usr/local/samba/sbin/winbindd(strftime+0x118c) [0x806cbec]
   #14 /usr/local/samba/sbin/winbindd(winbind_process_packet+0x1d) [0x806ceab]
   #15 /usr/local/samba/sbin/winbindd(strftime+0x1c7a) [0x806d6da]
   #16 /usr/local/samba/sbin/winbindd(main+0x483) [0x806dc2f]
   #17 /usr/local/samba/sbin/winbindd(__libc_start_main+0xa4) [0x420158d4]
   #18 /usr/local/samba/sbin/winbindd(chroot+0x31) [0x806c5e1]
Comment 1 Gerald (Jerry) Carter 2004-03-15 08:32:13 UTC
This should be fixed in 3.0.2a.  Please test and reopen 
this bug report if necessary.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:17:48 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:27:59 UTC
database cleanup